mf={}
dofile("sys/lua/MassiveFight/vl.lua")
dofile("sys/lua/MassiveFight/weapon_names.lua")
dofile("sys/lua/MassiveFight/classes.lua")

total_keyes=0
var_sec=0
spawn_invulnerable_time=8
	

-- lua mf.svini()
function mf.svini()
	
	parse('mp_wpndmg "USP" 44')
	parse('mp_wpndmg "Glock" 35')
	parse('mp_wpndmg "Elite" 37')
	
	parse('mp_wpndmg "M3" 25')
	parse('mp_wpndmg "XM1014" 18')
	
	parse('mp_wpndmg "Mac 10" 25')
	parse('mp_wpndmg "P90" 22')
	
	parse('mp_wpndmg "M4A1" 35')
	parse('mp_wpndmg "G3SG1" 40')
	parse('mp_wpndmg_z1 "G3SG1" 85')
	parse('mp_wpndmg_z2 "G3SG1" 115')
	parse('mp_wpndmg "SG550" 50')
	parse('mp_wpndmg_z1 "SG550" 75')
	parse('mp_wpndmg_z2 "SG550" 100')
	
	parse('mp_wpndmg "AWP" 80')
	parse('mp_wpndmg_z1 "AWP" 150')
	parse('mp_wpndmg_z2 "AWP" 600')
	
	parse('mp_wpndmg "Scout" 120')
	parse('mp_wpndmg_z1 "Scout" 200')
	parse('mp_wpndmg_z2 "Scout" 350')
	
	parse('mp_wpndmg "RPG Launcher" 800')
	parse('mp_wpndmg "Grenade Launcher" 90')
	parse('mp_wpndmg "Rocket Launcher" 105')
	
	parse('mp_wpndmg "M134" 25')
	parse('mp_wpndmg "FN F2000" 45')
	
	parse('mp_wpndmg "Machete" 600')
	parse('mp_wpndmg "Gas Grenade" 3')
	parse('mp_wpndmg "Molotov Cocktail" 20')
	
	parse('mp_building_limit "Gate Field" 99999')
	parse('mp_building_limit "Dispenser" 99999')
	parse('mp_building_limit "Turret" 99999')
	parse('mp_building_limit "Supply" 99999')
	parse('mp_building_limit "Teleporter Entrance" 99999')
	
	parse('mp_deathdrop 4')
	parse('mp_startmoney 16000')
	parse('mp_dispenser_money 1500')
	parse('mp_dispenser_health 10')
	parse('mp_turretdamage 20')
	
	for i in ipairs(mf.class) do
		total_keys=i
	end
	if game("sv_gamemode")==3 then parse("sv_gamemode 2") end
	
	
	
	--[[if(io.open("sys/lua/MassiveFight/MapScripts/"..game("sv_map")..".cfg")~=nil)then
		dofile("sys/lua/MassiveFight/MapScripts/"..game("sv_map")..".cfg")
		mf.cfg.suit_for_game=true
		print("OHH YEAH! THIS MAP IS SUIT FOR MASSIVE FIGHT!")
	else
		print("THIS IS NOT A MASSIVE FIGHT MAP")
		print("SOME FUNCTIONS CANNOT BE EXECUTED!")
	end]]
	print("INITIALIZING WORKS COMPLETED")
end

addhook("hit","wn.hit")
addhook("hit","mf.hit")
addhook("second","mf.second")
addhook("spawn","mf.spawn")
addhook("die","mf.die1")
addhook("join","mf.join")
addhook("startround","mf.svini")
addhook("buy","mf.return1")
--addhook("walkover","mf.walkover")
addhook("serveraction","mf.svact")
--addhook("clientdata","mf.gotdata")
--addhook("movetile","mf.movetile")

function mf.movetile(id,x,y)
	mf.pl.x[id]=x
	mf.pl.y[id]=y
end

function mf.hit(id,source,weapon,hpdmg,apdmg)
	if player(id,"team")==player(source,"team") then
		if mf.class[mf.pl.class[source]].healing and weapon==78 then
			local hp=player(id,"health")
			parse("sethealth "..id.." "..hp+mf.class[mf.pl.class[source]].hp_per_heal)
			parse("effect \"flare\" "..player(id,"x").." "..player(id,"y").." 3 32 255 0 0 ")
			msg2(id,string.char(169).."255193193You are being healed by "..player(source,"name"))
			msg2(source,string.char(169).."255193193You are healing "..player(id,"name"))
		end
	end
	if weapon==72 or weapon==73 then
		if game("sv_friendlyfire")=="0"  then
			if player(id,"team")==player(source,"team") or mf.class[mf.pl.class[id]].nogasandfire then
				return 1
			end
		end
	end
end

function mf.second()
	for i in ipairs(player(0,"table")) do
		local r=0
		local h=0
		if mf.pl.class_selected[i] and mf.pl.class[i]>0 and player(i,"health")>0 then
			r=mf.class[mf.pl.class[i]].regen
			h=player(i,"health")
			parse("sethealth "..i.." "..h+r)
		end
		if mf.pl.inv[i]>0 then
			mf.pl.inv[i]=mf.pl.inv[i]-1
			if mf.pl.inv[i]>0 then
				msg2(i,string.char(169).."135206255"..mf.pl.inv[i].."@C")
			else
				mf.notinv(i)
			end
		end
	end
end

timer(20000,"mf.getammo","",0)

function mf.getammo()
	for i in ipairs(player(0,"table")) do
		parse("equip "..i.." 61")
		parse("equip "..i.." 62")
		--for j in ipairs(mf.class[mf.pl.class[i]].weapon) do
		--[[	if j>50 then
				parse("equip "..i.." "..j)
			end
		end]]
	end
	msg(string.char(169).."135206255Ammo Resupply Arrived!!!")
end

function mf.svact(id,key)
	if key==1 then
		parse("killplayer "..id)
		mf.pl.class[id]=0
		vl.classmenu(id)
	end
end

function mf.return1()
	return 1
end

function mf.walkover(id,iid,type)
	if type~=57 and type~=58 and type~=61 and type~=62 and type~=64 and type~=65 and type~=66 and type~=67 and type~=68 and type~=70 and type~=71 then
		return 1
	end
end

function mf.join(id)
	mf.pl.class_selected[id]=false
	mf.pl.class[id]=0
	mf.pl.x[id]=0
	mf.pl.y[id]=0
	mf.pl.inv[id]=0
end

function mf.spawn(id)
	if mf.pl.class_selected[id]~=true then
		if player(id,"bot")==true or player(id,"bot")==1 then
			mf.pl.class[id]=math.random(1,total_keys)
			--mf.pl.class[id]=5
			mf.checkclass(id)
		else
			vl.classmenu(id)
		end
	else
		mf.checkclass(id)
	end
	mf.pl.inv[id]=spawn_invulnerable_time
	msg2(id,string.char(169).."135206255You have limited postspawn invulnerable time.")
	msg2(id,string.char(169).."135206255You will not be hurt now.")
	return 50
end

function mf.notinv(id)
	msg2(id,string.char(169).."135206255You have now passed postspawn invulnerable time.@C")
	msg2(id,string.char(169).."135206255You will be hurt now.@C")
end

function mf.die1(id)
	if mf.pl.class_selected[id]==false then
		vl.closeWindow(1)
		for i=1, total_keys do
			vl.removeButton(i)
		end
	end
end

--[[function mf.getdata()
	reqcld(0,2)
end

function mf.gotdata(id,mode,x,y)
	-- Change image position if incoming data is absolute cursor position (2)
	if mode==2 then
		mf.pl.cx[id]=math.floor((x+16)/32)
		mf.pl.cy[id]=math.floor((y+16)/32)
	end
end]]


mf.svini()